GET api/cabreaderapi/cabreadersbypc/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"id": "d6e5a3f6-f53a-42fc-b2d9-39919610756c",
"name": "sample string 2",
"cab_reader_type_id": "1d2501c1-ff08-4bf3-8060-68039b24499a",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "3c855751-a180-41aa-bef8-1fb0c25ffd74",
"active": true,
"site_id": "db8284ea-b2c1-40b7-98b1-fedffdd46e05",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
},
{
"id": "d6e5a3f6-f53a-42fc-b2d9-39919610756c",
"name": "sample string 2",
"cab_reader_type_id": "1d2501c1-ff08-4bf3-8060-68039b24499a",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "3c855751-a180-41aa-bef8-1fb0c25ffd74",
"active": true,
"site_id": "db8284ea-b2c1-40b7-98b1-fedffdd46e05",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
]
application/xml, text/xml
Sample:
<ArrayOfcab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<cab_reader>
<active>true</active>
<baudrate>1</baudrate>
<cab_reader_type_id>1d2501c1-ff08-4bf3-8060-68039b24499a</cab_reader_type_id>
<data_bits>8</data_bits>
<handshake>4</handshake>
<id>d6e5a3f6-f53a-42fc-b2d9-39919610756c</id>
<name>sample string 2</name>
<parity>7</parity>
<pc_id>3c855751-a180-41aa-bef8-1fb0c25ffd74</pc_id>
<port_com>1</port_com>
<read_time_out>1</read_time_out>
<site_id>db8284ea-b2c1-40b7-98b1-fedffdd46e05</site_id>
<stop_bits>9</stop_bits>
<write_time_out>1</write_time_out>
</cab_reader>
<cab_reader>
<active>true</active>
<baudrate>1</baudrate>
<cab_reader_type_id>1d2501c1-ff08-4bf3-8060-68039b24499a</cab_reader_type_id>
<data_bits>8</data_bits>
<handshake>4</handshake>
<id>d6e5a3f6-f53a-42fc-b2d9-39919610756c</id>
<name>sample string 2</name>
<parity>7</parity>
<pc_id>3c855751-a180-41aa-bef8-1fb0c25ffd74</pc_id>
<port_com>1</port_com>
<read_time_out>1</read_time_out>
<site_id>db8284ea-b2c1-40b7-98b1-fedffdd46e05</site_id>
<stop_bits>9</stop_bits>
<write_time_out>1</write_time_out>
</cab_reader>
</ArrayOfcab_reader>